CATANH(3)

NAME
catanh, catanhf, catanhl - complex inverse hyperbolic tangent

SYNOPSIS
#include <complex.h>
double complex
catanh(double complex z);
float complex
catanhf(float complex z);
long double complex
catanhl(long double complex z);

DESCRIPTION
The catanh(), catanhf() and catanhl() functions compute the complex inverse hyperbolic tangent of z.

For all complex floating-point numbers z,

    catanh(z) = -i catan(iz).

RETURN VALUES
The catanh(), catanhf() and catanhl() functions return the complex inverse hyperbolic tangent of z with imaginary part in the interval [-Pi/2, Pi/2], and unbounded real part.

SEE ALSO
cacosh(3), casinh(3)

STANDARDS
The catanh(), catanhf() and catanhl() functions conform to isoC-99.